package microfolie.persistance.table;

import java.util.ArrayList;
import java.util.List;

import db.DatabaseTable;
import db.annotation.DbTable;
import microfolie.persistance.entity.Frequentation;

@DbTable(name = "Frequentation", entity = Frequentation.class)
public class FrequentationTable extends DatabaseTable<Frequentation>{

	private static FrequentationTable instance;
	
	private FrequentationTable() {
		// Private constructor for singleton
	}

	public Frequentation getByUsagerAndEspace(long usagerId, long espaceId) {
		List<String> fields = new ArrayList<>();
		List<Object> values = new ArrayList<>();
		fields.add("USAGER");
		values.add(usagerId);
		fields.add("ESPACE");
		values.add(espaceId);
		List<Frequentation> frequentation = getWhere(fields, values);
		if (frequentation.size() <= 0) {
			return null;
		}
		return frequentation.get(0);
	}
	
	public static FrequentationTable getInstance() {
		if(instance == null) {
			instance = new FrequentationTable();
		}
		return instance;
	}	
	
}
