package microfolie.service;

import java.util.Date;

import microfolie.persistance.entity.Espace;
import microfolie.persistance.entity.Frequentation;
import microfolie.persistance.entity.Usager;
import microfolie.persistance.table.EspaceTable;
import microfolie.persistance.table.FrequentationTable;
import microfolie.persistance.table.UsagerTable;

public class FrequentationService {
	
	private static FrequentationService instance;
	
	private UsagerTable usagerTable = UsagerTable.getInstance();
	private EspaceTable espaceTable = EspaceTable.getInstance();
	private FrequentationTable table = FrequentationTable.getInstance();
	
	private FrequentationService() {
		// Constructeur privé pour singleton
	}
	
	public boolean add(String codeUsager, String codeEspace) {
		Usager usager = usagerTable.getByCode(codeUsager);
		Espace espace = espaceTable.getByCode(codeEspace);
		Frequentation frequentation = table.getByUsagerAndEspace(usager.id, espace.id);
		// Ajout en base si introuvable
		if (frequentation == null) {
			frequentation = new Frequentation();
			frequentation.usager = usager;
			frequentation.espace = espace;
			frequentation.date = new Date();
			table.save(frequentation);
			return true;
		}
		// Retourne faux pour indiquer que deja ajouté
		return false;
	}
	
	public static FrequentationService getInstance() {
		if (instance == null) {
			instance = new FrequentationService();
		}
		return instance;
	}

}
